package ru.dbotthepony.kstarbound.world.physics

enum class CollisionType(val isEmpty: Boolean, val isSolidCollision: Boolean, val isTileCollision: Boolean) {
	// not loaded, block collisions by default
	NULL(true, true, false),
	// air
	NONE(true, false, false),
	// including stairs made of platforms
	PLATFORM(false, false, false),
	DYNAMIC(false, true, false),
	SLIPPERY(false, true, true),
	BLOCK(false, true, true);

	fun maxOf(other: CollisionType): CollisionType {
		if (this === NULL || other === NULL)
			return NULL
		else if (this > other)
			return this
		else
			return other
	}
}
